Bug 100761 - after insert note, focus cannot return to the input bar
Summary: after insert note, focus cannot return to the input bar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-04 14:28 UTC by Caolán McNamara
Modified: 2016-10-25 18:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2016-07-04 14:28:08 UTC

    
Comment 1 Caolán McNamara 2016-07-04 14:29:05 UTC
I *think* this is a problem since....

commit 11d605cc5a0c221d2423b6e63f502db660d085d2
Author: Maxim Monastirsky <momonasmon@gmail.com>
Date:   Mon Feb 1 18:39:51 2016 +0200

    tdf#84843 Stop using PseudoSlots for drawing slots

but that's an educated guess rather than a guarantee
Comment 2 Caolán McNamara 2016-07-04 14:34:19 UTC
with https://gerrit.libreoffice.org/#/c/26909/ is my effort to make this work again
Comment 3 Commit Notification 2016-07-05 08:59:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=80509950d35cebaede89fcb52c446a1fd3e45ba3

Resolves: tdf#100761 after insert note, focus cannot return to inputbar

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-07-05 09:26:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2bda972c0f40a0d69749504f51e3c16d7488d011&h=libreoffice-5-2

Resolves: tdf#100761 after insert note, focus cannot return to inputbar

It will be available in 5.2.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.